clang-tools 8.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
clang::clangd::SymbolQualitySignals Struct Reference

Attributes of a symbol that affect how much we like it. More...

`#include <Quality.h>`

Collaboration diagram for clang::clangd::SymbolQualitySignals:
[legend]

## Public Types
enum | SymbolCategory { Unknown = 0, Variable, Macro, Type, Function, Constructor, Destructor, Namespace, Keyword, Operator }

## Public Member Functions
void | merge (const CodeCompletionResult &SemaCCResult)
void | merge (const Symbol &IndexResult)
float | evaluate () const

## Public Attributes
bool | Deprecated = false
bool | ReservedName = false
bool | ImplementationDetail = false
unsigned | References = 0
enum clang::clangd::SymbolQualitySignals::SymbolCategory | Category = Unknown

## Detailed Description

Attributes of a symbol that affect how much we like it.

Definition at line 57 of file Quality.h.

## Member Enumeration Documentation

## ◆ SymbolCategory

enum clang::clangd::SymbolQualitySignals::SymbolCategory

Enumerator
Unknown |
Variable |
Macro |
Type |
Function |
Constructor |
Destructor |
Namespace |
Keyword |
Operator |

Definition at line 64 of file Quality.h.

## Member Function Documentation

## ◆ evaluate()

float clang::clangd::SymbolQualitySignals::evaluate | ( |  | ) | const

Definition at line 201 of file Quality.cpp.

Referenced by clang::clangd::operator<<().

## ◆ merge() [1/2]

void clang::clangd::SymbolQualitySignals::merge | ( | const CodeCompletionResult & | SemaCCResult | ) |

Definition at line 181 of file Quality.cpp.

References clang::clangd::categorize(), and clang::clangd::isImplementationDetail().

## ◆ merge() [2/2]

void clang::clangd::SymbolQualitySignals::merge | ( | const Symbol & | IndexResult | ) |

Definition at line 193 of file Quality.cpp.

References clang::clangd::Symbol::Deprecated, clang::clangd::Symbol::Flags, and clang::clangd::Symbol::ImplementationDetail.

## Member Data Documentation

## ◆ Category

enum clang::clangd::SymbolQualitySignals::SymbolCategory clang::clangd::SymbolQualitySignals::Category = Unknown

Referenced by clang::clangd::operator<<().

## ◆ Deprecated

bool clang::clangd::SymbolQualitySignals::Deprecated = false

Definition at line 58 of file Quality.h.

Referenced by clang::clangd::operator<<().

## ◆ ImplementationDetail

bool clang::clangd::SymbolQualitySignals::ImplementationDetail = false

Definition at line 61 of file Quality.h.

## ◆ References

unsigned clang::clangd::SymbolQualitySignals::References = 0

Definition at line 62 of file Quality.h.

Referenced by clang::clangd::operator<<().

## ◆ ReservedName

bool clang::clangd::SymbolQualitySignals::ReservedName = false

Definition at line 59 of file Quality.h.

Referenced by clang::clangd::operator<<().

The documentation for this struct was generated from the following files:

- Quality.h
- Quality.cpp